Subject: Re: bug#40381: Guix shouldn't request substitutes for profile derivations

From: Ludovic Courtès <[email-masked]>
Date: Sun, 26 Apr 2020 22:20:38 +0200

Hi,

pkill9 <[email-masked]> skribis:

>> Can you show more precisely what you mean by pasting a command and its
>> output?
>> 
>> With the recent changes in the implementation of grafts, what happens
>> is usually this:
>> 
>>   $ guix build foo
>>   updating the list of substitutes…
>>   The following things will be built/downloaded:
>>   …
>> 
>>   updating the list of substitutes…
>>   The following things will be built/downloaded:
>>   …
>> 
>> The second stage here typically includes profile.drv as well as
>> grafts. All this is expected behavior.
>
> I think that since profile.drv is always produced locally on the
> machine, then it's unnecessary to update the list of substitutes
> when it's on that second stage.

I don’t observe this, or rather I cannot blame profile.drv for this.

Can you show more precisely what you mean by pasting a command and its
output?

Thanks,
Ludo’.